Package org.apache.sling.feature.maven.mojos

# Class UpdateVersionsMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.sling.feature.maven.mojos.AbstractFeatureMojo
org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo
org.apache.sling.feature.maven.mojos.UpdateVersionsMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="update-feature-versions", threadSafe=true) public class UpdateVersionsMojo extends AbstractIncludingFeatureMojo
Update the bundles/artifact versions

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`UpdateVersionsMojo.ArtifactUpdate`
`static enum`
`UpdateVersionsMojo.Scope`
Enumeration for the update scopes
`static final class`
`UpdateVersionsMojo.UpdateConfig`
`static final class`
`UpdateVersionsMojo.UpdateResult`

## Nested classes/interfaces inherited from class org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo

`AbstractIncludingFeatureMojo.FeatureScanner`

## Nested classes/interfaces inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`AbstractFeatureMojo.BaseArtifactProvider, AbstractFeatureMojo.BaseFeatureProvider`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.apache.maven.repository.legacy.metadata.ArtifactMetadataSource`
`artifactMetadataSource`
`protected List<org.apache.maven.artifact.repository.ArtifactRepository>`
`remoteArtifactRepositories`

### Fields inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`defaultMetadata, features, jarStartOrder, mavenSession, project, projectHelper`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`UpdateVersionsMojo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`

### Methods inherited from class org.apache.sling.feature.maven.mojos.AbstractIncludingFeatureMojo

`getSelectedFeatures, selectAllFeatureFiles, selectAllFeatureFilesAndAggregates`

### Methods inherited from class org.apache.sling.feature.maven.mojos.AbstractFeatureMojo

`checkPreconditions, getTmpDir`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### artifactMetadataSource

@Component(role=org.apache.maven.artifact.metadata.ArtifactMetadataSource.class) protected org.apache.maven.repository.legacy.metadata.ArtifactMetadataSource artifactMetadataSource

### remoteArtifactRepositories

@Parameter(defaultValue="${project.remoteArtifactRepositories}", readonly=true) protected List<org.apache.maven.artifact.repository.ArtifactRepository> remoteArtifactRepositories

## Constructor Details

### UpdateVersionsMojo

public UpdateVersionsMojo()

## Method Details

### execute

public void execute() throws org.apache.maven.plugin.MojoExecutionException, org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`